## org-drill 2.7.0%2B20200412%2Bdfsg1

=== debian/changelog ===
org-drill (2.7.0+20200412+dfsg1-2) unstable; urgency=medium

  * source only upload

 -- Thomas Koch <thomas@koch.ro>  Mon, 02 Nov 2020 08:53:57 +0100

org-drill (2.7.0+20200412+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #947017)

 -- Thomas Koch <thomas@koch.ro>  Sun, 1 Nov 2020 20:09:06 +0100
