=== test/Makefile ===
## what ever we called, don't do it here
default:
	$(MAKE) -C ..

$(MAKECMDGOALS):
	$(MAKE) -C .. $(MAKECMDGOALS)
