=== debian/changelog ===
org-drill (2.7.0+20200412+dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Aymeric Agon-Rambosson ]
  * Remove explicit build dependency on elpa-seq.
  * Bump Standards-Version to 4.7.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Mar 2025 15:04:19 +0800

org-drill (2.7.0+20200412+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:07:05 +0900
