=== debian/control ===
Source: org-drill
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 elpa-assess,
 elpa-persist,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/org-drill
Vcs-Git: https://salsa.debian.org/emacsen-team/org-drill.git
Homepage: https://gitlab.com/phillord/org-drill
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-org-drill
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: emacs org-mode contrib for self-testing using spaced repetition
 Org-Drill is an extension for Org-mode. Org-Drill uses a spaced
 repetition algorithm to conduct interactive "drill sessions",
 using org files as sources of facts to be memorised. Each topic
 is treated as a "flash card". The material to be remembered is
 presented to the student in random order. The student rates
 his or her recall of each item, and this information is used to
 schedule the item for later revision.
