=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	/bin/true

override_dh_auto_install:
	/bin/true
